[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Which way to go finally ? -- Re: Why FC4 using the Jpackage 1.4.2 Java?



Am Mo, den 27.06.2005 schrieb ha haha um 22:13:

> > Sorry, I must miss something. What makes you think
> > jpackage.org has a
> > "default java", which is version 1.4.2?
> > 
> 
>  I think I may have blamed jpacakge wrongly,
> apologize. But the java version "1.4.2" I complained
> is from GCJ.

Oh!

>  by the way, what's the 'exact relationship' between
> libgcj and jpacakge?

http://gcc.gnu.org/java/

jpackage.org provides a skeleton to package Sun's j2re as a Fedora compatible
RPM.

> [root myTest ~]# /usr/bin/java --version
> java version "1.4.2"
> gij (GNU libgcj) version 4.0.0 20050519 (Red Hat
> 4.0.0-8)

> Is there a way to remove|uninstall libgcj and use Sun
> Java 1.5 instead? removing libgcj seems nuking out a
> lot of other packages depending on it.

You don't need to remove the Java Fedora ships. There is the
alternatives mechanism to switch between the different Java engines.

Alexander


-- 
Alexander Dalloz | Enger, Germany | GPG http://pgp.mit.edu 0xB366A773
legal statement: http://www.uni-x.org/legal.html
Fedora Core 2 GNU/Linux on Athlon with kernel 2.6.11-1.35_FC2smp 
Serendipity 22:17:43 up 2 days, 5:09, load average: 0.11, 0.16, 0.16 

Attachment: signature.asc
Description: Dies ist ein digital signierter Nachrichtenteil


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]